<?php
/* リストのヘッダー */
?>

<?php 	
$objResult = $wpdb->get_row("SELECT * FROM $wpdb->postmeta WHERE meta_value = 'single-list_01.php'");
$post_header = get_post($objResult->post_id);
$title = get_the_title($post_header);

$content = apply_filters( 'the_content',$post_header->post_content); 
$content = str_replace( ']]>', ']]&gt;', $content );

$post_stock = $post;
$post = $post_header;
?>

<?php $postcate = get_the_category(); ?>
<?php if($postcate)echo get_category_parents($postcate[0]->term_id,TRUE ); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<h2><?php the_title(); ?></h2>

	<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
	<div class="entry-thumbnail">
		<?php the_post_thumbnail(); ?>
	</div>
	<?php endif; ?>
	
	<p><?php echo $content; ?></p>
	<?php edit_post_link(); ?>
</article>


<form method="get" action="<?php bloginfo( 'url' ); ?>">
    <input name="s" id="s" type="text" value="<?php the_search_query(); ?>" />
    
    <?php // カスタムカテゴリー
	$terms = get_terms( 'list_01_category' , $args ); if ( $terms ) : ?>
		<select name='list_01_category' id='tag'>
        <option value="">カテゴリー選択</option>
        <?php foreach ( $terms as $term ): ?>
        <option value="<?php echo esc_html($term->name);  ?>"<?php
		echo (esc_html($term->name)==$_GET['list_01_category'])?' selected':'';?>><?php echo esc_html($term->name); ?></option>
        <?php endforeach; ?>
        </select>
	<?php endif; ?>
	<?php // カスタムタグ
	$terms = get_terms( 'list_01_tag' , $args ); if ( $terms ) : ?>
		<select name='list_01_tag' id='tag'>
        <option value="" selected="selected">タグ選択</option>
        <?php foreach ( $terms as $term ): ?>
        <option value="<?php echo esc_html($term->name);  ?>"<?php
		echo (esc_html($term->name)==$_GET['list_01_tag'])?' selected':'';?>><?php echo esc_html($term->name); ?></option>
        <?php endforeach; ?>
        </select>
    <?php endif; ?>
	<input id="submit" type="submit" value="検索" />
	<input id="post_type" name="post_type" type="hidden" value="list_01" />
</form>

<?php $post = $post_stock; ?>