<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Thirteen
 * @since Twenty Thirteen 1.0
 */

get_header();
?>

<div id="contents">

<div id="main">
<img src="<?php bloginfo('template_directory'); ?>/images/main.jpg" id="main-img" alt="メイン画像">
<a href="/samplecorporation/samplecorporation.zip" class="bt-tmp">テンプレート DOWN LOAD</a>
<?php //NEWSの投稿タイプ設定表示
$args = array(
     'post_type' => 'top_news',
	 'paged' => $paged,
); 
query_posts( $args ); ?>

<section id="news-sp">
<h2>NEWS</h2>
<?php //NEWSの表示
if (have_posts()){?>
<ul>
<?php while (have_posts()) : the_post(); ?>
<li><time datetime="<?php the_time("Y-m-j") ?>"><?php the_time("Y/m/j") ?></time><a href="<?php the_permalink();?>"><?php
$title = the_title(false,false,false);if(mb_strlen($title)>65) { $title = mb_substr($title,0,65); echo $title.'...' ;
} else {echo $title;} ?></a></li>
<?php endwhile; ?>
</ul>
<?php }
else{ ?>
<ul>
<li>表示する記事はありませんでした。</li>
</ul>
<?php } ?>
</section>


<?php //リストの投稿タイプ設定表示
$args = array(
     'post_type' => 'list_01',
	 'posts_per_page' => 3
); 
query_posts( $args ); ?>

<section id="sub-sp">
<h2>リスト内容</h2>

<?php 
/////表示 ここから/////
$csscnt = 0;
if (have_posts()) {?>

    <?php while (have_posts()) : the_post(); ?>
	<?php $title= get_the_title();?>
	<div class="sub-box<?php $csscnt++;echo ($csscnt==3)?'2':'1';?>">
	<?php if ( has_post_thumbnail() ){//アイキャッチ画像があったら?>
	<a href="<?php the_permalink();?>&awlist=list01" class="subimg"><?php the_post_thumbnail( array(300,300),array( 'alt' =>$title, 'title' => $title)); ?></a>
    <?php }
	else{//アイキャッチ画像なかったら?>
	<a href="<?php the_permalink();?>&awlist=list01" class="subimg"><img src="<?php bloginfo('template_directory'); ?>/images/main.jpg" alt=""></a>
    <?php } ?>
	<h3><?php echo $title;?></h3>
	<p><?php echo mb_substr(strip_tags($post-> post_content), 0, 100).'...'; ?></p>
	<a href="<?php the_permalink();?>&awlist=list01" class="more-bt">詳細ページへ ＞＞</a>
	</div>
	
    <?php
	endwhile; ?>

<?php 
}else{ ?>
	<div class="sub-box1">
        <h3>記事がありません</h3>
        <p>表示する記事はありませんでした。</p>
	</div>
<?php 
}
/////表示 ここまで/////?>
</section>

</div><!-- main -->

<aside id="side-sp">
<h3>サイド 関連のあるセクション</h3>
<p>これはサンプルのページです。これはサンプルのページです。これはサンプルのページです。</p>
<p>これはサンプルのページです。これはサンプルのページです。これはサンプルのページです。</p>
<h3>サイド 関連のあるセクション</h3>
<p>これはサンプルのページです。これはサンプルのページです。これはサンプルのページです。</p>
<p>これはサンプルのページです。これはサンプルのページです。これはサンプルのページです。</p>
</aside>

<?php /* get_sidebar(); */?>
</div><!-- contents -->

<?php get_footer(); ?>