<?php
/**
 * The template for displaying Search Results pages
 *
 * @package WordPress
 */

get_header(); ?>

<?php 	//ヘッダー情報取得
$objResult = $wpdb->get_row("SELECT * FROM $wpdb->postmeta WHERE meta_value = 'single-blog.php'");
$post_stock = get_post($objResult->post_id);
$post_head = get_post( $objResult->post_id );

$content = apply_filters( 'the_content',$post_head->post_content); 
$content = str_replace( ']]>', ']]&gt;', $content );

$post_stock = $post;
$post = $post_head;
?>


<div id="contents" class="blog-sp"<?php
if(get_header_image()){echo ' style="background:url(';header_image(); echo ');background-repeat: no-repeat;"';}?>);>


<div id="blogheader">
<h2><?php the_title();?></h2>
	<?php
	if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : ?>
	<div class="entry-thumbnail">
		<?php the_post_thumbnail( array(300,300) );  //サムネイル画像?>
	</div>
	<?php endif; ?>

	<p>
	<?php echo $content; ?>
	<?php edit_post_link(); ?>
	</p>
</div>


<div id="main">

<?php if ( $_GET['cat'] || $_GET['tag']) : ?>
<div class="archive-meta">
<h3><?php printf( __( 'Category Archives: %s', 'twentythirteen' ), single_cat_title( '', false ) ); ?></h3>
<?php if ( category_description() ) : // Show an optional category description ?>
<p><?php echo category_description(); ?></p>
<?php endif; ?>
</div>
<?php endif; ?>

<?php if ( $_GET['s'] ) : ?>
<div class="archive-meta">
<p><?php the_search_query(); ?>で検索した結果： <?php echo $wp_query->found_posts; ?> 件</p>
</div>
<?php endif; ?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>			
<div class="entry">
    <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>" class="entry-img">
	<?php if ( has_post_thumbnail() ): // サムネイルを持っているときの処理 ?>
	<?php $title= get_the_title();
			the_post_thumbnail(array( 150,150 ),array( 'alt' =>$title, 'title' => $title)); ?>
	<?php else: // サムネイルを持っていないときの処理 ?>
	<img src="<?php echo get_template_directory_uri(); ?>/images/no-img.png" alt="no image" title="no image" width="150" height="150" />
	<?php endif; ?></a>

    <div class="entry-r">
    <h3><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
        <p>
          <?php the_time('Y/m/d') ?>
          |
		<?php the_category();?><?php the_tags();?>
        </p>
	 <p><?php echo mb_substr(strip_tags($post-> post_content), 0, 100).'...'; ?></p>
     <a href="<?php the_permalink() ?>">続きを見る</a>
    </div><!--entry-r-->
</div><!--entry-->

<?php endwhile; else: ?>
<p>記事がありません</p>
<?php endif; ?>

<?php paginav($wp_query->max_num_pages);?>



</div><!-- main -->

<div id="side-sp">


<?php //リンクに追加
add_filter('dynamic_sidebar', 'aw_add_pra_side');
//apply_filters('the_permalink','test1', 'test2');
function aw_add_pra_side( $html) {
return str_replace( 'p=', 'aw='.$aw.'&p=', $html );
}

function add_query_vars_filter( $vars ){
  $vars[] = "query_var_name";
 return $vars;
}

//Add custom query vars
add_filter( 'get_sidebar', 'add_query_vars_filter' );
	
add_query_arg( array('query_var_name' => 'value'), old_url );
	
$value = get_query_var('query_var_name');
?>

<?php get_sidebar(); ?>

</div>

<?php /* get_sidebar(); */?>
</div><!-- contents -->

<?php get_footer(); ?>