<?php
/*
ニュース記事
*/
get_header();
//post_typeで表示を切り分ける
$post_type = get_post_type();
the_post();
?>
<div id="contents">
	
	<div id="main">
		
	<h2>NEWS</h2>
	
	<article class="entry">
		<h3><?php the_title();?></h3>
		<p>
		  <?php the_category(', ') ?>
		  <?php the_tags('', ', '); ?>
		  <br>
		  公開日：
		  <time class="entry-date" datetime="<?php the_time('c') ;?>">
			<?php the_time('Y/m/d') ;?>
		  </time>
		</p>
		<?php
		if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : ?>
		<div class="entry-thumbnail">
			<?php the_post_thumbnail( array(500,500) );  //サムネイル画像?>
		</div>
		<?php endif; ?>
	
		<p>
		<?php the_content(); ?>
		<?php edit_post_link(); ?>
		</p>
	
	</article>
	
	<div id="pn-bt">
	<?php //前の記事
        $prev_post = get_previous_post();
        if (!empty( $prev_post )): ?>
       <a href="<?php echo get_permalink( $prev_post->ID ); ?>">＜＜ 前の記事 「<?php echo $prev_post->post_title; ?>」 </a>
    <?php endif; ?>
    <?php //次の記事
        $next_post = get_next_post();
        if (!empty( $next_post )): ?>
        <a href="<?php echo get_permalink( $next_post->ID ); ?>"> 「<?php echo $next_post->post_title; ?>」 次の記事 ＞＞</a>
    <?php endif; ?>
	</div><!-- pn-bt -->

</div><!-- main -->

<aside id="side-sp">
<h3>サイド 関連のあるセクション</h3>
<p>これはサンプルのページです。これはサンプルのページです。これはサンプルのページです。</p>
<p>これはサンプルのページです。これはサンプルのページです。これはサンプルのページです。</p>
<h3>サイド 関連のあるセクション</h3>
<p>これはサンプルのページです。これはサンプルのページです。これはサンプルのページです。</p>
<p>これはサンプルのページです。これはサンプルのページです。これはサンプルのページです。</p>
</aside>


</div><!-- contents -->

<?php get_footer(); ?>