<?php
/* ブログのヘッダー */
?>

<?php 	
$objResult = $wpdb->get_row("SELECT * FROM $wpdb->postmeta WHERE meta_value = 'single-blog.php'");
$post_header = get_post($objResult->post_id);
$title = get_the_title($post_header);

$content = apply_filters( 'the_content',$post_header->post_content); 
$content = str_replace( ']]>', ']]&gt;', $content );

$post_stock = $post;
$post = $post_header;
?>

<div id="blogheader">

	<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
	<div class="entry-thumbnail">
		<?php the_post_thumbnail( array(300,300) );  //サムネイル画像?>
	</div>
	<?php endif; ?>
	
	<h2><?php the_title(); ?></h2>
	
	<p><?php echo $content; ?></p>
	<div class="entry-meta">
	<?php edit_post_link(); ?>
	</div><!-- .entry-meta -->
</div>

<?php $post = $post_stock; ?>