<?php
/* Template Name: ブログトップページ */

get_header(); 
?>

<div id="contents" class="blog-sp"<?php
if(get_header_image()){echo ' style="background:url(';header_image(); echo ');background-repeat: no-repeat;"';}?>);>

<?php //ブログのヘッダー表示
	get_template_part( 'header-blog', get_post_format() ); ?>

<?php //ブログの投稿タイプ設定表示
if($_GET['cat']){
	$args = array(
		 'post_type' => 'post',
		 'cat' => $_GET['cat'],
		 'paged' => $paged,
	); 
}
elseif($_GET['tag']){
	$args = array(
		 'post_type' => 'post',
		 'tag' => urlencode($_GET['tag']),
		 'paged' => $paged,
	); 

}
else{
	$args = array(
		 'post_type' => 'post',
		 'paged' => $paged,
	); 
}
?>
<?php query_posts( $args ); ?>

<div id="main" class="blog-list">

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>			
<div class="entry">
    <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>" class="entry-img">
	<?php if ( has_post_thumbnail() ): // サムネイルを持っているときの処理 ?>
	<?php $title= get_the_title();
			the_post_thumbnail(array( 150,150 ),array( 'alt' =>$title, 'title' => $title)); ?>
	<?php else: // サムネイルを持っていないときの処理 ?>
	<img src="<?php echo get_template_directory_uri(); ?>/images/no-img.png" alt="no image" title="no image" width="150" height="150" />
	<?php endif; ?></a>

    <h3><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
    <p><?php the_time('Y/m/d'); ?> <?php the_category(', '); ?> <?php the_tags('', ', '); ?></p>
	<p><?php echo mb_substr(strip_tags($post-> post_content), 0, 100).'...'; ?></p>
    <a href="<?php the_permalink() ?>">続きを見る</a>

</div><!--entry-->

<?php endwhile; else: ?>
<p>記事がありません</p>
<?php endif; ?>

<?php paginav($wp_query->max_num_pages);?>

</div><!-- main -->

<div id="side-sp">


	<?php //リンクに追加
add_filter('dynamic_sidebar', 'aw_add_pra_side');
//apply_filters('the_permalink','test1', 'test2');
function aw_add_pra_side( $html) {
return str_replace( 'p=', 'aw='.$aw.'&p=', $html );
}

function add_query_vars_filter( $vars ){
  $vars[] = "query_var_name";
 return $vars;
}

//Add custom query vars
add_filter( 'get_sidebar', 'add_query_vars_filter' );
	
add_query_arg( array('query_var_name' => 'value'), old_url );
	
$value = get_query_var('query_var_name');
?>

<?php get_sidebar(); ?>

</div>

<?php /* get_sidebar(); */?>
</div><!-- contents -->

<?php get_footer(); ?>